summaryrefslogtreecommitdiffstats
path: root/network/skype
diff options
context:
space:
mode:
author Martin Lefebvre <dadexter@gmail.com>2010-05-11 19:46:01 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-11 19:46:01 +0200
commit48885c66fa662074ea79c115dd57b367657145fc (patch)
treebb5cfe0d948a40b370c19469f040d0ae2aa95c7f /network/skype
parent315815c65a03bc3d4357be7d521462418bda4d7a (diff)
downloadslackbuilds-48885c66fa662074ea79c115dd57b367657145fc.tar.gz
slackbuilds-48885c66fa662074ea79c115dd57b367657145fc.tar.xz
network/skype: Updated for version 1.4.0.118
Diffstat (limited to 'network/skype')
-rw-r--r--network/skype/README22
-rw-r--r--network/skype/skype.SlackBuild41
-rw-r--r--network/skype/skype.info8
-rw-r--r--network/skype/slack-desc12
4 files changed, 64 insertions, 19 deletions
diff --git a/network/skype/README b/network/skype/README
index a7bcb3115a..750832cb9a 100644
--- a/network/skype/README
+++ b/network/skype/README
@@ -6,10 +6,20 @@ running any of the supported platforms, as well as receiving
and placing calls from and to normal land lines as well as
mobile phones.
-Skype needs QT, so you'll have that installed (QT is part of
-the slackware distribution)
+This SlackBuild allows to build both 1.3 and 1.4 versions of
+Skype.
-Please note that the mirror from which we download skype is not
-skype.com. This is due to the fact that skype has removed any
-and all support to skype-1.3.x in lieu of skype-1.4.x which is
-QT4 based. \ No newline at end of file
+Skype 1.3 needs QT3, so you'll have that installed (QT3 is
+part of the slackware distribution).
+Skype 1.4 needs libsigcxx (libsigc++), available on both
+SlackBuilds.org and linuxpackages.net).
+
+Since Skype 1.4 is QT4-based, to keep dependencies at a
+minimum the linked file is a static build, and is twice as
+large as the 1.3 version, which is instead a dinamically
+built QT3-based package.
+The Skype 1.3 mirror is
+http://ftp.surfnet.nl/pub/os/Linux/distr/pardusrepo/sources/skype-1.3.0.53-generic.tar.bz2
+md5sum: e288e398e4a34a5760ff6321b253ed08
+
+Both versions work fine with Slamd64. \ No newline at end of file
diff --git a/network/skype/skype.SlackBuild b/network/skype/skype.SlackBuild
index 5358f420ab..18b3193efd 100644
--- a/network/skype/skype.SlackBuild
+++ b/network/skype/skype.SlackBuild
@@ -24,11 +24,12 @@
#
# Modified by the SlackBuilds.org project
+# Added Skype 1.4 compatibility by Mauro Giachero
set -e
PRGNAM=skype
-VERSION=1.3.0.53
+VERSION=1.4.0.118
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -44,19 +45,45 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP || exit 1
rm -rf $PRGNAM-$VERSION
-tar -xjvf $CWD/$PRGNAM-$VERSION-generic.tar.bz2 || exit 1
-cd $PRGNAM-$VERSION || exit 1
+# 1.3.x.y packages are named "skype-1.3.x.y-generic.tar.bz2"
+# 1.4.x.y packages are named "skype_static-1.4.x.y.tar.bz2"
+# Since the _static package is twice as large as the -generic
+# one, we keep this script compatible with both.
+# The $SOURCETYPE variable is used in later steps to filter
+# 1.3-only and 1.4-only things
+if [ -f $CWD/$PRGNAM-$VERSION-generic.tar.bz2 ]; then
+ echo Unpacking $PRGNAM-$VERSION-generic.tar.bz2
+ tar -xjvf $CWD/$PRGNAM-$VERSION-generic.tar.bz2 || exit 1
+ cd $PRGNAM-$VERSION || exit 1
+ SOURCETYPE=1.3
+else
+ echo Unpacking ${PRGNAM}_static-$VERSION.tar.bz2
+ tar -xjvf $CWD/${PRGNAM}_static-$VERSION.tar.bz2 || exit 1
+ cd ${PRGNAM}_static-$VERSION || exit 1
+ SOURCETYPE=1.4
+fi
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
-chmod 644 sound/*
+if [ $SOURCETYPE == 1.3 ]; then
+ chmod 644 sound/*
+else
+ chmod 644 sounds/*
+fi
# ./configure not necessary for binary based builds
mkdir -p $PKG/{usr/{bin,share/{skype,pixmaps,applications}},etc/dbus-1/system.d}
-cp skype skype-callto-handler $PKG/usr/bin
-cp -R sound lang $PKG/usr/share/skype
+cp skype $PKG/usr/bin
+if [ $SOURCETYPE == 1.3 ]; then
+ cp -R sound lang $PKG/usr/share/skype
+ cp icons/skype_48_32.png $PKG/usr/share/pixmaps/skype.png
+ cp skype-callto-handler $PKG/usr/bin
+else
+ cp -R sounds lang $PKG/usr/share/skype
+ cp icons/SkypeBlue_48x48.png $PKG/usr/share/pixmaps/skype.png
+ cp -R avatars $PKG/usr/share/skype
+fi
cp skype.conf $PKG/etc/dbus-1/system.d/skype.conf.new
-cp icons/skype_48_32.png $PKG/usr/share/pixmaps/skype.png
sed -e "s/Icon\=skype.png/Icon\=\/usr\/share\/pixmaps\/skype.png/g" \
skype.desktop > $PKG/usr/share/applications/skype.desktop
diff --git a/network/skype/skype.info b/network/skype/skype.info
index d44c34f163..a70150bd6f 100644
--- a/network/skype/skype.info
+++ b/network/skype/skype.info
@@ -1,8 +1,8 @@
PRGNAM="skype"
-VERSION="1.3.0.53"
+VERSION="1.4.0.118"
HOMEPAGE="http://www.skype.com"
-DOWNLOAD="http://ftp.surfnet.nl/pub/os/Linux/distr/pardusrepo/sources/skype-1.3.0.53-generic.tar.bz2"
-MD5SUM="e288e398e4a34a5760ff6321b253ed08"
+DOWNLOAD="http://download.skype.com/linux/skype_static-1.4.0.118.tar.bz2"
+MD5SUM="95d44d423ec7566b48af47007c7a02c6"
MAINTAINER="Martin Lefebvre"
EMAIL="dadexter@gmail.com"
-APPROVED="BP{k},alien"
+APPROVED="Erik Hanson"
diff --git a/network/skype/slack-desc b/network/skype/slack-desc
index cce30af4e1..bf4ec9a64d 100644
--- a/network/skype/slack-desc
+++ b/network/skype/slack-desc
@@ -1,4 +1,12 @@
-skype: Skype is a P2P Voice Over IP program.
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+skype: Skype (a P2P Voice Over IP program)
skype:
skype: Skype is a free Voice Over IP program for Linux, Windows and
skype: MacOS. It allows users to communicate with other Skype users
@@ -6,6 +14,6 @@ skype: running any of the supported platforms, as well as receiving
skype: and placing calls from and to normal land lines as well as
skype: mobile phones.
skype:
+skype: Homepage: http://www.skype.com
skype:
-skype: homepage: http://www.skype.com
skype: